diff --git a/src/backend/access/gist/gistget.c b/src/backend/access/gist/gistget.c
index b2a20ca..c3a6cfc 100644
--- a/src/backend/access/gist/gistget.c
+++ b/src/backend/access/gist/gistget.c
@@ -562,6 +562,12 @@ gistgettuple(PG_FUNCTION_ARGS)
 				 * It's always head of so->pageData
 				 */
 				so->pageData =  list_delete_cell(so->pageData, tmpPageData, NULL);
+
+				{
+					static int lastreport = 0;
+					if ((lastreport++) % 10000 == 0)
+						MemoryContextStats(so->giststate->scanCxt);
+				}
 				PG_RETURN_BOOL(TRUE);
 			}
 
